%% Butterworth Filters


w = logspace(-1,1,201);
colors = ['b' 'g' 'r' 'm' 'k'];
for m=1:5
    order = 2*m;
    [z p k] = buttap(order);
    [bp ap] = zp2tf(z,p,k);
    hh = freqs(bp,ap,w);
    ha = abs(hh);
    semilogx(w,ha,colors(m),'LineWidth',2);
    hold on;
end
xlabel('frequency (\omega/\omega_o)');
ylabel('magnitude response');
axis([0.1 10 0 1.05]);
grid;
hold off;
